CVE-2006-0854
CVSS7.5
发布时间 :2006-02-22 21:06:00
修订时间 :2011-08-23 00:00:00
NMCO    

[原文]PHP remote file inclusion vulnerability in common.php in Intensive Point iUser Ecommerce allows remote attackers to include arbitrary files via a URL in the include_path variable, which is not initialized before being used.


[CNNVD]Intensive Point iUser Ecommerce 'common.php'PHP远程文件包含漏洞(CNNVD-200602-346)

        Intensive Point iUser Ecommerce的common.php中存在PHP远程文件包含漏洞。远程攻击者可以借助include_path变量中的URL(在使用前未经审核)包含任意文件。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0854
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0854
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-346
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/24724
(UNKNOWN)  XF  iuser-ecommerce-file-include(24724)
http://www.xorcrew.net/xpa/XPA-iUser.txt
(UNKNOWN)  MISC  http://www.xorcrew.net/xpa/XPA-iUser.txt
http://www.vupen.com/english/advisories/2006/0699
(VENDOR_ADVISORY)  VUPEN  ADV-2006-0699
http://www.securityfocus.com/bid/16787
(UNKNOWN)  BID  16787
http://www.osvdb.org/23429
(UNKNOWN)  OSVDB  23429
http://secunia.com/advisories/18903
(VENDOR_ADVISORY)  SECUNIA  18903
http://archives.neohapsis.com/archives/fulldisclosure/2006-02/0339.html
(VENDOR_ADVISORY)  FULLDISC  20060215 iUser Ecommerce - Remote Command Execution Vulnerability

- 漏洞信息

Intensive Point iUser Ecommerce 'common.php'PHP远程文件包含漏洞
高危 代码注入
2006-02-22 00:00:00 2006-03-03 00:00:00
远程  
        Intensive Point iUser Ecommerce的common.php中存在PHP远程文件包含漏洞。远程攻击者可以借助include_path变量中的URL(在使用前未经审核)包含任意文件。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Intensivepoint iUser Ecommerce 2.1
        Intensivepoint iUser Ecommerce Download Page
        https://secure.thinkhost.com/intensivepoint.com/iuser/download.php

- 漏洞信息

23429
iUser Ecommerce common.php include_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

iUser Ecommerce contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to common.php not properly sanitizing user input supplied to the 'include_path' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-02-15 Unknow
2006-02-15 Unknow

- 解决方案

Upgrade to version 2.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站